| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | Properties | Private Attributes

# IG::Lib::color Struct Reference

Extended color representation. Stores RGB components and opacity as double numbers ranging fom 0 to 1. Implicit conversions to and from System.Drawing.Color and form System.Drawing.KnownColor are provided. More...

Collaboration diagram for IG::Lib::color:
[legend]

List of all members.

## Public Member Functions
| color (double r, double g, double b, double opacity)
| Creates a new color with specified red, green and blue components and opacity.
| color (double r, double g, double b)
| Creates a new color with specified red, green and blue components. Opacity is set to 1.
| color (System.Drawing.Color color)
| Creates a new color that corresponds (as closely as possible) to the specified System.Drawing.Color.
| color (System.Drawing.KnownColor knownColor)
| Creates a new color that corresponds to the specified known (system) color enumerated by the System.Drawing.KnownColor enumerator, such as KnownColor.Menu or KnownColor.WindowFrame.
| color (color color)
| Creates a new color that corresponds to the specified color.
| color (string name)
| Creates a new color that corresponds to the specified color name (e.g. "white", "blue", etc.).
double | ConvertComponent (int component)
color | Scale (color[] colors, double minValue, double maxValue, double value)
| Returns a color corresponding to the specified value (within the specified range) where color scale begins with the first specified color (at the lower bound of the range) and smoothly changes through other colors up to the last specified color (at the higher bound of the range). If the value is out of range then color for lower or upper end of scale is returned, dependent on whether value is smaller than the lower bound or larger than the upper bound.
## Static Public Member Functions
static implicit | operator System.Drawing.Color (color col)
| Converts color to standard System.Drawing.Color
static implicit | operator color (System.Drawing.Color col)
| Converts standard color representation System.Drawing.Color to extended representation color.
static implicit | operator color (System.Drawing.KnownColor knownColorEnum)
| Converts the System.Drawing.KnownColor enumerator to extended representation XColor. Returns: XColor value corresponding to the specified color.
static color | Average (params color[] colors)
| Returns average of the specified colors. The calculated color components are clipped to their prescribed range.
static color | Average (bool clipComponents, params color[] colors)
| Returns average of the specified colors. Depending on the specified flag, clipping of calculated color components to the prescribed range is performed or not.
static color | Mixture (double weight1, color color1, double weight2, color color2)
| Returns additive mixture (linear combination) of two colors. The calculated color components are clipped to their prescribed range.The sum of weights will usually be normalized 1, but this is not necessary. The method itself does not provide normalization.
static color | Mixture (bool clipComponents, double weight1, color color1, double weight2, color color2)
| Returns additive mixture (linear combination) of two colors. Depending on the specified flag, clipping of calculated color components to the prescribed range is performed or not.The sum of weights will usually be normalized 1, but this is not necessary. The method itself does not provide normalization.
static color | Mixture (double[] weights, color[] colors)
| Returns additive mixture (linear combination) of the specified colors. The calculated color components are clipped to their prescribed range.The sum of specified weights will usually be normalized 1, but this is not necessary. The method itself does not provide normalization.
static color | Mixture (bool clipComponents, double[] weights, color[] colors)
| Returns additive mixture (linear combination) of the specified colors. Depending on the specified flag, clipping of calculated color components to the prescribed range is performed or not.The sum of specified weights will usually be normalized 1, but this is not necessary. The method itself does not provide normalization.
static color | Scale (color col1, color col2, double minValue, double maxValue, double value)
| Returns a color corresponding to the specified value (from the specified range) where color scale begins with the first specified color (lowest value) and smoothly changes to the second specified color (highest value). If the value is out of range then colors for lower or upper end of scale are returned, dependent on whether value is smaller than the lower bound or larger than the upper bound.
static color | Scale (color col1, color col2, double value)
| Returns a color corresponding to the specified value (ranging from 0 to 1) where color scale begins with the first specified color (at 0) and smoothly changes to the second specified color (at 1). If the value is out of range then colors for lower or upper end of scale are returned, dependent on whether value is smaller than the lower bound or larger than the upper bound.
static color | Scale (color[] colors, double value)
| Returns a color corresponding to the specified value (ranging from 0 to 1) where color scale begins with the first specified color (at 0) and smoothly changes through other colors up to the last specified color (at 1). If the value is out of range then colors for lower or upper end of scale are returned, dependent on whether value is smaller than the lower bound or larger than the upper bound.
static color | ScaleGray (double minValue, double maxValue, double value)
| Returns a color corresponding to the specified value (from the specified range) where color scale begins with black and smoothly changes to white. If the value is out of range then colors for lower or upper end of scale are returned, dependent on whether the value is smaller than the lower bound or larger than the upper bound.
static color | ScaleGray (double value)
| Returns a color corresponding to the specified value (ranging from 0 to 1) where color scale begins with black and smoothly changes to white. If the value is out of range then colors for lower or upper end of scale are returned, dependent on whether value is smaller than the lower bound or larger than the upper bound.
static color | ScaleRed (double minValue, double maxValue, double value)
| Returns a color corresponding to the specified value (from the specified range) where color scale begins with black and smoothly changes to red. If the value is out of range then colors for lower or upper end of scale are returned, dependent on whether the value is smaller than the lower bound or larger than the upper bound.
static color | ScaleRed (double value)
| Returns a color corresponding to the specified value (ranging from 0 to 1) where color scale begins with black and smoothly changes to red. If the value is out of range then colors for lower or upper end of scale are returned, dependent on whether value is smaller than the lower bound or larger than the upper bound.
static color | ScaleGreen (double minValue, double maxValue, double value)
| Returns a color corresponding to the specified value (from the specified range) where color scale begins with black and smoothly changes to green. If the value is out of range then colors for lower or upper end of scale are returned, dependent on whether the value is smaller than the lower bound or larger than the upper bound.
static color | ScaleGreen (double value)
| Returns a color corresponding to the specified value (ranging from 0 to 1) where color scale begins with black and smoothly changes to green. If the value is out of range then colors for lower or upper end of scale are returned, dependent on whether value is smaller than the lower bound or larger than the upper bound.
static color | ScaleBlue (double minValue, double maxValue, double value)
| Returns a color corresponding to the specified value (from the specified range) where color scale begins with black and smoothly changes to blue. If the value is out of range then colors for lower or upper end of scale are returned, dependent on whether the value is smaller than the lower bound or larger than the upper bound.
static color | ScaleBlue (double value)
| Returns a color corresponding to the specified value (ranging from 0 to 1) where color scale begins with black and smoothly changes to blue. If the value is out of range then colors for lower or upper end of scale are returned, dependent on whether value is smaller than the lower bound or larger than the upper bound.
static color | ScaleYellow (double minValue, double maxValue, double value)
| Returns a color corresponding to the specified value (from the specified range) where color scale begins with black and smoothly changes to blue. If the value is out of range then colors for lower or upper end of scale are returned, dependent on whether the value is smaller than the lower bound or larger than the upper bound.
static color | ScaleYellow (double value)
| Returns a color corresponding to the specified value (ranging from 0 to 1) where color scale begins with black and smoothly changes to blue. If the value is out of range then colors for lower or upper end of scale are returned, dependent on whether value is smaller than the lower bound or larger than the upper bound.
static color | ScaleBlueRedYellow (double minValue, double maxValue, double value)
| Returns a color corresponding to the specified value (from the specified range) where color scale begins with blue, then changes to red and finally to yellow. If the value is out of range then colors for lower or upper end of scale are returned, dependent on whether value is smaller than the lower bound or larger than the upper bound.
static color | ScaleBlueRedYellow (double value)
| Returns a color corresponding to the specified value (ranging from 0 to 1) where color scale begins with blue, then changes to red and finally to yellow. If the value is out of range then colors for lower or upper end of scale are returned, dependent on whether value is smaller than the lower bound or larger than the upper bound.
## Public Attributes
double | _G
double | _B
double | _opacity
const int | MaxIntComponent = 255
| Maximal integer component of the standard System.Drawing.Color struct.
const double | MaxIntComponentD = MaxIntComponent
| Maximal component of the standard System.Drawing.Color struct as double.
## Properties
double | R`[get, set]`
| Red component of the color (range from 0 to 1).
double | G`[get, set]`
| Green component of the color (range from 0 to 1).
double | B`[get, set]`
| Blue component of the color (range from 0 to 1).
double | Opacity`[get, set]`
| Opacity of the color (range from 0 - completely transparent - to 1 - completely opaque).
int | IntR`[get, set]`
| Gets or sets the red RGB component as integer in the range 0 to 255. Getter clips the returned value if it would exceed the range. Setter does not perform clipping.
int | IntG`[get, set]`
| Gets or sets the green RGB component as integer in the range 0 to 255. Getter clips the returned value if it would exceed the range. Setter does not perform clipping.
int | IntB`[get, set]`
| Gets or sets the blue RGB component as integer in the range 0 to 255. Getter clips the returned value if it would exceed the range. Setter does not perform clipping.
int | IntOpacity`[get, set]`
| Gets or sets the Opacity as integer in the range 0 to 255. Getter clips the returned value if it would exceed the range. Setter does not perform clipping.
float | FloatR`[get]`
| Gets the red RGB component of the current color as float number in the range 0 to 1. No clipping is performed.
float | FloatG`[get]`
| Gets the green RGB component of the current color as float number in the range 0 to 1. No clipping is performed.
float | FloatB`[get]`
| Gets the blue RGB component of the current color as float number in the range 0 to 1. No clipping is performed.
float | FloatOpacity`[get]`
| Gets the opacity of the current color as float number in the range 0 to 1. No clipping is performed.
double | Hue`[get]`
| Gets the hue-saturation-brightnes (HSB) value for hue of the current color (in the range 0 to 1).
double | Saturation`[get]`
| Gets the hue-saturation-brightnes (HSB) value for hue of the current color (in the range 0 to 1).
double | Brightness`[get]`
| Gets the hue-saturation-brightnes (HSB) value for brightness of the current color (in the range 0 to 1).
## Private Attributes
double | _R

## Detailed Description

Extended color representation. Stores RGB components and opacity as double numbers ranging fom 0 to 1. Implicit conversions to and from System.Drawing.Color and form System.Drawing.KnownColor are provided.

$A Igor xx;

## Constructor & Destructor Documentation

IG::Lib::color::color | ( | double | r,
|  | double | g,
|  | double | b,
|  | double | opacity
| ) |  | `[inline]`

Creates a new color with specified red, green and blue components and opacity.

Parameters:

  R | Red component of the created color (range 0 to 1).
  G | Green component of the created color (range 0 to 1).
  B | Blue component of the created color (range 0 to 1).
  Opacity | Opacity of the created color (range 0 - completely transparent, 1 - completely opaque).

IG::Lib::color::color | ( | double | r,
|  | double | g,
|  | double | b
| ) |  | `[inline]`

Creates a new color with specified red, green and blue components. Opacity is set to 1.

Parameters:

  R | Red component of the created color (range 0 to 1).
  G | Green component of the created color (range 0 to 1).
  B | Blue component of the created color (range 0 to 1).

IG::Lib::color::color | ( | System.Drawing.Color | color | ) | `[inline]`

Creates a new color that corresponds (as closely as possible) to the specified System.Drawing.Color.

Parameters:

  color | Color that is copied to the created color.

IG::Lib::color::color | ( | System.Drawing.KnownColor | knownColor | ) | `[inline]`

Creates a new color that corresponds to the specified known (system) color enumerated by the System.Drawing.KnownColor enumerator, such as KnownColor.Menu or KnownColor.WindowFrame.

Parameters:

  name | Color name.

IG::Lib::color::color | ( | color | color | ) | `[inline]`

Creates a new color that corresponds to the specified color.

Parameters:

  color | Color that is copied to the created color.

IG::Lib::color::color | ( | string | name | ) | `[inline]`

Creates a new color that corresponds to the specified color name (e.g. "white", "blue", etc.).

Parameters:

  name | Color name.

## Member Function Documentation

double IG::Lib::color::ConvertComponent | ( | int | component | ) | `[inline]`

static implicit IG::Lib::color::operator System.Drawing.Color | ( | color | col | ) | `[inline, static]`

Converts color to standard System.Drawing.Color

Parameters:

  col | Color to be converted.

Returns:
  System.Drawing.Color value corresponding to the specified color.

static implicit IG::Lib::color::operator color | ( | System.Drawing.Color | col | ) | `[inline, static]`

Converts standard color representation System.Drawing.Color to extended representation color.

Parameters:

  col | Color to be converted.

Returns:
  color value corresponding to the specified color.

static implicit IG::Lib::color::operator color | ( | System.Drawing.KnownColor | knownColorEnum | ) | `[inline, static]`

Converts the System.Drawing.KnownColor enumerator to extended representation XColor.

Returns:
  XColor value corresponding to the specified color.

static color IG::Lib::color::Average | ( | params color[] | colors | ) | `[inline, static]`

Returns average of the specified colors. The calculated color components are clipped to their prescribed range.

Parameters:

  colors | Colors to be averaged.

Returns:
  An average color whose components are averages over RGB components of all specified colors.

static color IG::Lib::color::Average | ( | bool | clipComponents,
|  | params color[] | colors
| ) |  | `[inline, static]`

Returns average of the specified colors. Depending on the specified flag, clipping of calculated color components to the prescribed range is performed or not.

Parameters:

  clipComponents | Whether the resulting color components are clipped to the prescribed range or not.
  colors | Colors to be averaged.

Returns:
  An average color whose components are averages over components of all specified colors.

static color IG::Lib::color::Mixture | ( | double | weight1,
|  | color | color1,
|  | double | weight2,
|  | color | color2
| ) |  | `[inline, static]`

Returns additive mixture (linear combination) of two colors. The calculated color components are clipped to their prescribed range.The sum of weights will usually be normalized 1, but this is not necessary. The method itself does not provide normalization.

Parameters:

  weight1 | Weighting factor for the first color.
  color1 | The first color to be mixed.
  weight2 | Weighting factor for the second color.
  color2 | The second color to be mixed.

Returns:
  A mixed color whose components are linear combinations of RGB components of the specified two colors.

static color IG::Lib::color::Mixture | ( | bool | clipComponents,
|  | double | weight1,
|  | color | color1,
|  | double | weight2,
|  | color | color2
| ) |  | `[inline, static]`

Returns additive mixture (linear combination) of two colors. Depending on the specified flag, clipping of calculated color components to the prescribed range is performed or not.The sum of weights will usually be normalized 1, but this is not necessary. The method itself does not provide normalization.

Parameters:

  clipComponents | Whether the resulting color components are clipped to the prescribed range or not.
  weight1 | Weighting factor for the first color.
  color1 | The first color to be mixed.
  weight2 | Weighting factor for the second color.
  color2 | The second color to be mixed.

Returns:
  A mixed color whose components are linear combinations of RGB components of the specified two colors.

static color IG::Lib::color::Mixture | ( | double[] | weights,
|  | color[] | colors
| ) |  | `[inline, static]`

Returns additive mixture (linear combination) of the specified colors. The calculated color components are clipped to their prescribed range.The sum of specified weights will usually be normalized 1, but this is not necessary. The method itself does not provide normalization.

Parameters:

  weights | Weights vorresponding to colors that are mixed. Usually the sum of weights will be 1.
  colors | Colors to be additively mixed.

Returns:
  A mixed color whose components are linear combinations of RGB components of the specified colors.

static color IG::Lib::color::Mixture | ( | bool | clipComponents,
|  | double[] | weights,
|  | color[] | colors
| ) |  | `[inline, static]`

Returns additive mixture (linear combination) of the specified colors. Depending on the specified flag, clipping of calculated color components to the prescribed range is performed or not.The sum of specified weights will usually be normalized 1, but this is not necessary. The method itself does not provide normalization.

Parameters:

  clipComponents | Whether the resulting color components are clipped to the prescribed range or not.
  weights | Weights vorresponding to colors that are mixed. Usually the sum of weights will be 1.
  colors | Colors to be additively mixed.

Returns:
  A mixed color whose components are linear combinations of RGB components of the specified colors.

static color IG::Lib::color::Scale | ( | color | col1,
|  | color | col2,
|  | double | minValue,
|  | double | maxValue,
|  | double | value
| ) |  | `[inline, static]`

Returns a color corresponding to the specified value (from the specified range) where color scale begins with the first specified color (lowest value) and smoothly changes to the second specified color (highest value). If the value is out of range then colors for lower or upper end of scale are returned, dependent on whether value is smaller than the lower bound or larger than the upper bound.

Parameters:

  col1 | Collor corresponding to the lowest value of the scale.
  col2 | Collor corresponding to the highest value of the scale.
  value | Value for which the corresponding color is returned.

static color IG::Lib::color::Scale | ( | color | col1,
|  | color | col2,
|  | double | value
| ) |  | `[inline, static]`

Returns a color corresponding to the specified value (ranging from 0 to 1) where color scale begins with the first specified color (at 0) and smoothly changes to the second specified color (at 1). If the value is out of range then colors for lower or upper end of scale are returned, dependent on whether value is smaller than the lower bound or larger than the upper bound.

Parameters:

  col1 | Color corresponding to the lowest value of the scale.
  col2 | Color corresponding to the highest value of the scale.
  value | Value for which the corresponding color is returned. Should be between 0 or 1.

color IG::Lib::color::Scale | ( | color[] | colors,
|  | double | minValue,
|  | double | maxValue,
|  | double | value
| ) |  | `[inline]`

Returns a color corresponding to the specified value (within the specified range) where color scale begins with the first specified color (at the lower bound of the range) and smoothly changes through other colors up to the last specified color (at the higher bound of the range). If the value is out of range then color for lower or upper end of scale is returned, dependent on whether value is smaller than the lower bound or larger than the upper bound.

Parameters:

  colors | Table of colors that are used in color scale. The first color of the table corresponds to the lower bound of the range, and the last one corresponds to the upper bound of the range. Colors between correspond to equally spaced values between, and colors between these values continuously change between two neighboring colors from the table.
  minValue | Lower bound of the range of values for which colors are assigned.
  maxValue | Upper bound of the range of values for which colors are assigned.
  value | Value for which the corresponding color is returned. Should be between 0 or 1.

static color IG::Lib::color::Scale | ( | color[] | colors,
|  | double | value
| ) |  | `[inline, static]`

Returns a color corresponding to the specified value (ranging from 0 to 1) where color scale begins with the first specified color (at 0) and smoothly changes through other colors up to the last specified color (at 1). If the value is out of range then colors for lower or upper end of scale are returned, dependent on whether value is smaller than the lower bound or larger than the upper bound.

Parameters:

  colors | Table of colors that are used in color scale. The first color of the table corresponds to the lower bound of the range, and the last one corresponds to the upper bound of the range. Colors between correspond to equally spaced values between, and colors between these values continuously change between two neighboring colors from the table.
  value | Value for which the corresponding color is returned. Should be between 0 or 1.

static color IG::Lib::color::ScaleGray | ( | double | minValue,
|  | double | maxValue,
|  | double | value
| ) |  | `[inline, static]`

Returns a color corresponding to the specified value (from the specified range) where color scale begins with black and smoothly changes to white. If the value is out of range then colors for lower or upper end of scale are returned, dependent on whether the value is smaller than the lower bound or larger than the upper bound.

Parameters:

  minValue | Minimal value of the scale.
  maxValue | Maximal value of the scale.
  value | Value for which the corresponding color is returned.

static color IG::Lib::color::ScaleGray | ( | double | value | ) | `[inline, static]`

Returns a color corresponding to the specified value (ranging from 0 to 1) where color scale begins with black and smoothly changes to white. If the value is out of range then colors for lower or upper end of scale are returned, dependent on whether value is smaller than the lower bound or larger than the upper bound.

Parameters:

  value | Value for which the corresponding color is returned. Range of the scale is between 0 or 1.

static color IG::Lib::color::ScaleRed | ( | double | minValue,
|  | double | maxValue,
|  | double | value
| ) |  | `[inline, static]`

Returns a color corresponding to the specified value (from the specified range) where color scale begins with black and smoothly changes to red. If the value is out of range then colors for lower or upper end of scale are returned, dependent on whether the value is smaller than the lower bound or larger than the upper bound.

Parameters:

  minValue | Minimal value of the scale.
  maxValue | Maximal value of the scale.
  value | Value for which the corresponding color is returned.

static color IG::Lib::color::ScaleRed | ( | double | value | ) | `[inline, static]`

Returns a color corresponding to the specified value (ranging from 0 to 1) where color scale begins with black and smoothly changes to red. If the value is out of range then colors for lower or upper end of scale are returned, dependent on whether value is smaller than the lower bound or larger than the upper bound.

Parameters:

  value | Value for which the corresponding color is returned. Range of the scale is between 0 or 1.

static color IG::Lib::color::ScaleGreen | ( | double | minValue,
|  | double | maxValue,
|  | double | value
| ) |  | `[inline, static]`

Returns a color corresponding to the specified value (from the specified range) where color scale begins with black and smoothly changes to green. If the value is out of range then colors for lower or upper end of scale are returned, dependent on whether the value is smaller than the lower bound or larger than the upper bound.

Parameters:

  minValue | Minimal value of the scale.
  maxValue | Maximal value of the scale.
  value | Value for which the corresponding color is returned.

static color IG::Lib::color::ScaleGreen | ( | double | value | ) | `[inline, static]`

Returns a color corresponding to the specified value (ranging from 0 to 1) where color scale begins with black and smoothly changes to green. If the value is out of range then colors for lower or upper end of scale are returned, dependent on whether value is smaller than the lower bound or larger than the upper bound.

Parameters:

  value | Value for which the corresponding color is returned. Range of the scale is between 0 or 1.

static color IG::Lib::color::ScaleBlue | ( | double | minValue,
|  | double | maxValue,
|  | double | value
| ) |  | `[inline, static]`

Returns a color corresponding to the specified value (from the specified range) where color scale begins with black and smoothly changes to blue. If the value is out of range then colors for lower or upper end of scale are returned, dependent on whether the value is smaller than the lower bound or larger than the upper bound.

Parameters:

  minValue | Minimal value of the scale.
  maxValue | Maximal value of the scale.
  value | Value for which the corresponding color is returned.

static color IG::Lib::color::ScaleBlue | ( | double | value | ) | `[inline, static]`

Returns a color corresponding to the specified value (ranging from 0 to 1) where color scale begins with black and smoothly changes to blue. If the value is out of range then colors for lower or upper end of scale are returned, dependent on whether value is smaller than the lower bound or larger than the upper bound.

Parameters:

  value | Value for which the corresponding color is returned. Range of the scale is between 0 or 1.

static color IG::Lib::color::ScaleYellow | ( | double | minValue,
|  | double | maxValue,
|  | double | value
| ) |  | `[inline, static]`

Returns a color corresponding to the specified value (from the specified range) where color scale begins with black and smoothly changes to blue. If the value is out of range then colors for lower or upper end of scale are returned, dependent on whether the value is smaller than the lower bound or larger than the upper bound.

Parameters:

  minValue | Minimal value of the scale.
  maxValue | Maximal value of the scale.
  value | Value for which the corresponding color is returned.

static color IG::Lib::color::ScaleYellow | ( | double | value | ) | `[inline, static]`

Returns a color corresponding to the specified value (ranging from 0 to 1) where color scale begins with black and smoothly changes to blue. If the value is out of range then colors for lower or upper end of scale are returned, dependent on whether value is smaller than the lower bound or larger than the upper bound.

Parameters:

  value | Value for which the corresponding color is returned. Range of the scale is between 0 or 1.

static color IG::Lib::color::ScaleBlueRedYellow | ( | double | minValue,
|  | double | maxValue,
|  | double | value
| ) |  | `[inline, static]`

Returns a color corresponding to the specified value (from the specified range) where color scale begins with blue, then changes to red and finally to yellow. If the value is out of range then colors for lower or upper end of scale are returned, dependent on whether value is smaller than the lower bound or larger than the upper bound.

Parameters:

  minValue | Minimal value of the scale.
  maxValue | Maximal value of the scale.
  value | Value for which the corresponding color is returned.

static color IG::Lib::color::ScaleBlueRedYellow | ( | double | value | ) | `[inline, static]`

Returns a color corresponding to the specified value (ranging from 0 to 1) where color scale begins with blue, then changes to red and finally to yellow. If the value is out of range then colors for lower or upper end of scale are returned, dependent on whether value is smaller than the lower bound or larger than the upper bound.

Parameters:

  value | Value for which the corresponding color is returned. Range of the scale is between 0 or 1.

## Member Data Documentation

double IG::Lib::color::_R`[private]`

double IG::Lib::color::_G

double IG::Lib::color::_B

double IG::Lib::color::_opacity

const int IG::Lib::color::MaxIntComponent = 255

Maximal integer component of the standard System.Drawing.Color struct.

const double IG::Lib::color::MaxIntComponentD = MaxIntComponent

Maximal component of the standard System.Drawing.Color struct as double.

## Property Documentation

double IG::Lib::color::R`[get, set]`

Red component of the color (range from 0 to 1).

double IG::Lib::color::G`[get, set]`

Green component of the color (range from 0 to 1).

double IG::Lib::color::B`[get, set]`

Blue component of the color (range from 0 to 1).

double IG::Lib::color::Opacity`[get, set]`

Opacity of the color (range from 0 - completely transparent - to 1 - completely opaque).

int IG::Lib::color::IntR`[get, set]`

Gets or sets the red RGB component as integer in the range 0 to 255. Getter clips the returned value if it would exceed the range. Setter does not perform clipping.

int IG::Lib::color::IntG`[get, set]`

Gets or sets the green RGB component as integer in the range 0 to 255. Getter clips the returned value if it would exceed the range. Setter does not perform clipping.

int IG::Lib::color::IntB`[get, set]`

Gets or sets the blue RGB component as integer in the range 0 to 255. Getter clips the returned value if it would exceed the range. Setter does not perform clipping.

int IG::Lib::color::IntOpacity`[get, set]`

Gets or sets the Opacity as integer in the range 0 to 255. Getter clips the returned value if it would exceed the range. Setter does not perform clipping.

float IG::Lib::color::FloatR`[get]`

Gets the red RGB component of the current color as float number in the range 0 to 1. No clipping is performed.

float IG::Lib::color::FloatG`[get]`

Gets the green RGB component of the current color as float number in the range 0 to 1. No clipping is performed.

float IG::Lib::color::FloatB`[get]`

Gets the blue RGB component of the current color as float number in the range 0 to 1. No clipping is performed.

float IG::Lib::color::FloatOpacity`[get]`

Gets the opacity of the current color as float number in the range 0 to 1. No clipping is performed.

double IG::Lib::color::Hue`[get]`

Gets the hue-saturation-brightnes (HSB) value for hue of the current color (in the range 0 to 1).

double IG::Lib::color::Saturation`[get]`

Gets the hue-saturation-brightnes (HSB) value for hue of the current color (in the range 0 to 1).

double IG::Lib::color::Brightness`[get]`

Gets the hue-saturation-brightnes (HSB) value for brightness of the current color (in the range 0 to 1).

The documentation for this struct was generated from the following file:

- Color.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events